curtin traceback when error_tarfile path does not exist

Bug #1746363 reported by Chad Smith
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
curtin
High
Chad Smith

Bug Description

When testing curtin in a new environment and generating an error, error_tarfile path will trace if the error_tarfile destination directory does not exist.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/ubuntu/curtin/curtin/commands/main.py", line 201, in main
    ret = args.func(args)
  File "/home/ubuntu/curtin/curtin/commands/install.py", line 472, in cmd_install
    create_log_tarfile(error_tarfile, cfg)
  File "/home/ubuntu/curtin/curtin/commands/collect_logs.py", line 99, in create_log_tarfile
    util.subp(cmd, capture=True)
  File "/home/ubuntu/curtin/curtin/util.py", line 263, in subp
    return _subp(*args, **kwargs)
  File "/home/ubuntu/curtin/curtin/util.py", line 131, in _subp
    cmd=args)
curtin.util.ProcessExecutionError: Unexpected error while running command.
Command: ['tar', '-cvf', '/var/log/curtin/curtin-error-logs.tar', 'curtin-logs-2018-01-30-21-10']
Exit code: 2
Reason: -
Stdout: ''
Stderr: tar: /var/log/curtin/curtin-error-logs.tar: Cannot open: No such file or directory
        tar: Error is not recoverable: exiting now

Related branches

Chad Smith (chad.smith)
Changed in curtin:
importance: Undecided → High
assignee: nobody → Chad Smith (chad.smith)
status: New → In Progress
Chad Smith (chad.smith)
Changed in curtin:
status: In Progress → Fix Committed
Revision history for this message
Scott Moser (smoser) wrote : Fixed in Cloud-init 18.1

This bug is believed to be fixed in curtin in 18.1. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in curtin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers